Bug 176742 - Missing dependencies in devel subpackage
Missing dependencies in devel subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libXrender (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-31 13:22 EST by Dawid Gajownik
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 02:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2005-12-31 13:22:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20051228 SeaMonkey/1.5a

Description of problem:
libXrender-devel should require xorg-x11-proto-devel package.

Version-Release number of selected component (if applicable):
libXrender-devel-0.9.0.2-1

How reproducible:
Always

Steps to Reproduce:
1. Run fedora-rmdevelrpms
2. yum install libXrender-devel pkgconfig
3. pkg-config --libs xrender
  

Actual Results:  [y4kk0@X ~]$ pkg-config --libs xrender
Package xproto was not found in the pkg-config search path.
Perhaps you should add the directory containing `xproto.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xproto', required by 'Xrender', not found
[y4kk0@X ~]$ cat /usr/lib/pkgconfig/xrender.pc
prefix=/usr
exec_prefix=/usr
libdir=/usr/lib
includedir=/usr/include

Name: Xrender
Description: X Render Library
Version: 0.9.0.2
Requires: xproto renderproto >= 0.9 x11
Requires.private: x11
Cflags: -I${includedir}
Libs: -L${libdir} -lXrender
[y4kk0@X ~]$

Additional info:

There is also libX11-devel dependency from “Requires.private” but you may comment it out like in bug 176674
Comment 1 Mike A. Harris 2006-01-17 02:56:51 EST
Resolved in libXrender-devel-0.9.0.2-2


Note You need to log in before you can comment on or make changes to this bug.